Interface APIKeyHandler
- All Superinterfaces:
AuthenticationHandler, Handler<RoutingContext>
An authentication handler that provides API Key support.
API keys can be extracted from
HTTP headers/query parameters/cookies.
By default this handler will extract the API key from an HTTP header named X-API-KEY.- Author:
- Paulo Lopes
-
Method Summary
Modifier and TypeMethodDescriptionSpecify the source for the api key extraction as an HTTP cookie with the given name.static APIKeyHandlercreate(AuthenticationProvider authProvider) Create an API Key authentication handlerSpecify the source for the api key extraction as an HTTP header with the given name.Specify the source for the api key extraction as an HTTP query parameter with the given name.tokenExtractor(Function<String, Future<String>> tokenExtractor) Transform from user's token format to the AuthenticationHandler's format.
-
Method Details
-
create
Create an API Key authentication handler- Parameters:
authProvider- the auth provider to use- Returns:
- the auth handler
-
header
Specify the source for the api key extraction as an HTTP header with the given name.- Parameters:
headerName- the header name containing the API key- Returns:
- fluent self
-
parameter
Specify the source for the api key extraction as an HTTP query parameter with the given name.- Parameters:
paramName- the parameter name containing the API key- Returns:
- fluent self
-
cookie
Specify the source for the api key extraction as an HTTP cookie with the given name.- Parameters:
cookieName- the cookie name containing the API key- Returns:
- fluent self
-
tokenExtractor
Transform from user's token format to the AuthenticationHandler's format.- Parameters:
tokenExtractor- extract the token from the origin payload- Returns:
- fluent self
-